Uses of Class
io.vertx.rxjava3.ext.web.handler.APIKeyHandler
Packages that use APIKeyHandler
-
Uses of APIKeyHandler in io.vertx.rxjava3.ext.web.handler
Fields in io.vertx.rxjava3.ext.web.handler with type parameters of type APIKeyHandlerModifier and TypeFieldDescriptionstatic final io.vertx.lang.rx.TypeArg<APIKeyHandler> APIKeyHandler.__TYPE_ARGMethods in io.vertx.rxjava3.ext.web.handler that return APIKeyHandlerModifier and TypeMethodDescriptionSpecify the source for the api key extraction as an HTTP cookie with the given name.static APIKeyHandlerAPIKeyHandler.create(AuthenticationProvider authProvider) Create an API Key authentication handlerSpecify the source for the api key extraction as an HTTP header with the given name.static APIKeyHandlerAPIKeyHandler.newInstance(APIKeyHandler arg) Specify the source for the api key extraction as an HTTP query parameter with the given name.APIKeyHandler.tokenExtractor(Function<String, Single<String>> tokenExtractor) Transform from user's token format to the AuthenticationHandler's format. -
Uses of APIKeyHandler in io.vertx.rxjava3.ext.web.openapi.router
Methods in io.vertx.rxjava3.ext.web.openapi.router with parameters of type APIKeyHandlerModifier and TypeMethodDescriptionSecurity.apiKeyHandler(APIKeyHandler handler) Configure the to be used when creating the router.